#pragma once

#include <string>


class MessageTag {
public:
    MessageTag();
    MessageTag(const std::string &topic, const std::string &messageType);

    const std::string &topic() const;
    const std::string &messageType() const;

    std::string &topic();
    std::string &messageType();

    void setTopic(const std::string &topic);
    void setMessageType(const std::string &messageType);

private:
   std::string _topic;
   std::string _messagType;
};
typedef MessageTag Tag;
